Post Tbrs
Retreive all reservations for all SDDCs in this org
Request
URI
POST
https://vmc.vmware.com/vmc/api/orgs/{org}/tbrs/reservation
COPY
Path Parameters
string
org
Required
Organization identifier.
Request Body
SDDCs and/or states to query
SddcStateRequest
of type(s)
application/json
Optional
{
"sddcs": [
"string"
],
"states": [
"string"
]
}
array of
string
sddcs
Optional
sddcs
array of
string
states
Optional
states
Possible values are :
SCHEDULED,
RUNNING,
CANCELED,
COMPLETED,
Responses
200
Successful response
Returns
Array of
ReservationWindow
of type(s)
application/json
[
{
"start_hour": 0,
"emergency": false,
"maintenance_properties": {
"status": "string"
},
"reserve_id": "string",
"sddc_id": "string",
"reservation_state": "string",
"manifest_id": "string",
"duration_hours": 0,
"start_date": "string"
}
]
400
Bad Call
Returns
ErrorResponse
of type(s)
application/json
{
"retryable": false,
"path": "string",
"error_code": "string",
"error_messages": [
"string"
],
"status": 0
}
boolean
retryable
Required
If true, client should retry operation
string
path
Required
Originating request URI
string
error_code
Required
unique error code
array of
string
error_messages
Required
localized error messages
integer
status
Required
HTTP status code
401
Unauthorized
Returns
ErrorResponse
of type(s)
application/json
{
"retryable": false,
"path": "string",
"error_code": "string",
"error_messages": [
"string"
],
"status": 0
}
boolean
retryable
Required
If true, client should retry operation
string
path
Required
Originating request URI
string
error_code
Required
unique error code
array of
string
error_messages
Required
localized error messages
integer
status
Required
HTTP status code
403
Forbidden
Returns
ErrorResponse
of type(s)
application/json
{
"retryable": false,
"path": "string",
"error_code": "string",
"error_messages": [
"string"
],
"status": 0
}
boolean
retryable
Required
If true, client should retry operation
string
path
Required
Originating request URI
string
error_code
Required
unique error code
array of
string
error_messages
Required
localized error messages
integer
status
Required
HTTP status code